Subject: Re: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jun 2023 13:41:28 +0300

> From: João Távora <[email-masked]>
> Cc: Krzysztof Klimonda <[email-masked]>,
>   [email-masked]
> Date: Sat, 17 Jun 2023 10:39:32 +0100
> 
> Anyway, I tried to reproduce the problem on both Emacs 29
> and 30 and couldn't.
> 
> The problem also doesn't happen on Emacs 28.  So I don't know what is up
> and the "recent overlay rewrite" (when?) doesn't seem to have an effect.
> I don't have a Mac OS machine to test.

Emacs 29 comes with a completely different implementation of overlays
than previous versions.

I don't think this is specific to macOS, but perhaps the order in
which overlays are arranged is arbitrary to some extent, in which case
different systems can have different orders.